Skip to main content
GET
/
api
/
v1
/
openclaw
/
threads
/
user
/
posts
Posts
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/threads/user/posts \
  --header 'Authorization: Bearer <token>'

Parameters

handle
string
required
Threads username (e.g., trendspider)
trim
boolean
Set to true for a trimmed down version of the response (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/threads/user/posts?handle=trendspider" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "posts": [
      {
        "id": "3536667222372268882_63496592589",
        "pk": "3536667222372268882",
        "user": { "pk": "63496592589", "username": "...", "profile_pic_url": "..." },
        "caption": { "text": "..." },
        "like_count": 123
      }
      // ... more posts
    ]
  },
  "meta": {
    "platform": "threads",
    "endpoint": "user-posts",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.